Module java.base

Package javax.security.cert


package javax.security.cert
Provides classes for public key certificates. The classes in this package have been deprecated. New classes should not be added to this package. These classes include a simplified version of the java.security.cert package. These classes were developed as part of the Java Secure Socket Extension (JSSE). When JSSE was added to the J2SE version 1.4, this package was added for backward-compatibility reasons only. New applications should not use this package, but rather java.security.cert.
Since:
1.4
  • Class Summary
    Class
    Description
    Deprecated, for removal: This API element is subject to removal in a future version.
    Use the classes in java.security.cert instead.
    Deprecated, for removal: This API element is subject to removal in a future version.
    Use the classes in java.security.cert instead.
  • Exception Summary
    Exception
    Description
    Deprecated, for removal: This API element is subject to removal in a future version.
    Use the classes in java.security.cert instead.
    Deprecated, for removal: This API element is subject to removal in a future version.
    Use the classes in java.security.cert instead.
    Deprecated, for removal: This API element is subject to removal in a future version.
    Use the classes in java.security.cert instead.
    Deprecated, for removal: This API element is subject to removal in a future version.
    Use the classes in java.security.cert instead.
    Deprecated, for removal: This API element is subject to removal in a future version.
    Use the classes in java.security.cert instead.